Subject: bug#11788: [babc40c4] still fails to implement HTTPS over HTTP proxy properly

From: Eli Zaretskii <[email-masked]>
Date: Sat, 26 Dec 2015 09:24:35 +0200

> From: Lars Ingebrigtsen <[email-masked]>
> Date: Fri, 25 Dec 2015 22:31:26 +0100
> Cc: [email-masked], [email-masked], [email-masked]
> 
> lo2net <[email-masked]> writes:
> 
> > PS: If without gnutls support, it needs to be modified to use external
> > program with https via proxy support(e.g. openssl s_client post-May 2015 release version:
> > http://rt.openssl.org/Ticket/Display.html?id=2651) other than just throw an
> > error. But I think very few people will need this since this bug report
> > stayed with outstanding status for such a long time.
> >
> > Here is the patch:
> 
> I don't use proxies, so I can't test this, but looking at the code
> quickly, it looks good.  (But see comments below on style.)
> 
> Do you have FSF copyright assignments for Emacs on file?

There's no assignment on file under the name lo2net <[email-masked]>.